@import url('https://fonts.googleapis.com/css2?family=Ma+Shan+Zheng&family=Playfair+Display:ital,wght@0,400..900;1,400..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
/*Navbar CSS*/
a.active{
    color: #FFD700;
    border-radius: 5px;
    box-shadow: 0 0 5px #FFD700,0 0 5px #D4AF37;
  }
  #navbar{
    position: fixed;
    background: white;
    width: 100%;
    height: 100px;
    z-index: 1000;
    top: 0;
    box-shadow: 0 2px 4px 0 rgba(0,0,0,.2);
  }
  .fa-bars{
    color: white;
  }
  .fa-times{
    color: white;
  }
  nav:after{
    content: '';
    clear: both;
    display: table;
  }
  nav .logo{
    position: relative;
    bottom: 5px;
    float: left;
    font-size: 27px;
    font-weight: 600;
    line-height: 70px;
    cursor: pointer;
    width: 100px;
    height: 100px;
  
  }
  nav .logo2{
    
    text-decoration: none;
    float: left;
    font-size: 18px;
    font-weight: 400;
    line-height: 40px;
    padding: 0;
    cursor: pointer;
    position: relative;
    top: 10px;

  }
  .chinesecharacter {
    margin-top: 5px;
    color: black !important;

    font-family: 'Ma Shan Zheng', cursive;
font-size: 30px;
margin: 0;
line-height: 1.1;
}
.englishname{
color: black !important;

font-size: 18px;
margin: 0;
}
.pcs-hidden-br {
display: none;
}
@media (max-width: 480px) {
.chinesecharacter {
font-size: 16px !important;
}
.pcs-hidden-br {
display: inline;
}
.englishname {
font-size: 12px !important; 
line-height: 1.8 !important;
}

.school-logo {
height: 50px;
}
}
  nav .logo2:hover{
    color: #D4AF37;
    transition: 1s;
  }
  nav ul {
    float: right;
    list-style: none;
    margin-right: 40px;
    position: relative;
  }
  
  
  nav ul li{
    float: left;
    display: inline-block;
    background: white;
    margin: 0 5px;
  
  }
  
  nav ul li a{
    color: black;
    text-decoration: none;
    line-height: 70px;
    font-size: 16px;
    padding: 8px 15px;
    font-weight: 400;
  
  }
  
  nav ul li a:hover{
    color: #FFD700;
    border-radius: 5px;
    box-shadow: 0 0 5px #FFD700,0 0 5px #D4AF37;
    transition: 0.3s;
  }
  
  nav ul ul li a:hover{
    color: gold;
    box-shadow: none;
  }
  nav ul ul {
    padding-left: 0;
    position: absolute;
    top: 70px;
    border-top: 3px solid gold;
    opacity: 0;
    visibility: hidden;
    transition: top .3s;
  }
  nav ul ul ul {
    border-top: none;
  
  }
  
  nav ul li:hover > ul{
    top: 70px;
    opacity: 1;
    visibility: visible;
    transition: 0.4s;
  }
  nav ul ul li {
    position: relative;
    margin: 0px;
    width: 150px;
    float: none;
    display: list-item;
    border-bottom: 1px solid rgba(0, 0, 0, 0.3);
  
  }
  
  nav ul ul li a{
    line-height: 50px;
  
  }
  
  nav ul ul ul li {
    position: relative;
    top: -70px;
    left: 120px;
  }
   .submenu{
    margin-right: 0;
    padding-left: 30px;
  }
  .fa-plus-circle{
    color: gold;
    margin-left: 10px;
    font-size: 12px;
    border-radius: 5px;
  }
  .show,.fa-bars, input{
    display: none;
  }
  @media all and (max-width: 1050px) {
    .logo2{
      font-size: 15px;
    }
    #navbar{
      width: 100%;
      height: 100px;
    }
    nav ul{
      margin-right: 0px;
      float: left;
    }
  
    nav .logo{
      position: relative;
    }
    .show +  a, ul{
      display: none;
    }
    nav ul li, nav ul ul li{
      display: inline-block;
      width: 100%;
    }
    nav ul li a:hover{
      color: #FFD700;
      border-radius: 5px;
      box-shadow: 0 0 5px #FFD700,0 0 5px #D4AF37;
      transition: 0.3s;
    }
    .show{
      display: block;
      color: black;
      font-size: 16px;
      font-weight: 400;
      padding: 0 15px;
      line-height: 70px;
      cursor: pointer;
      
    }
    .show:hover{
      color: gold;
    }
    .fa-bars{
      display: block;
      color: gold;
      position: absolute;
      right: 10px;
      line-height: 0;
      font-size: 40px;
      cursor: pointer;
      padding: 20px;
      text-shadow: 2px 2px  rgba(0,0,0,.2);
    }
  
    .fa-times{
      display: block;
      color: gold;
      position: absolute;
      right: 10px;
      top: 25px;
      line-height: 0;
      font-size: 40px;
      cursor: pointer;
      text-shadow:2px 2px rgba(0,0,0,.2);
    }
    .navbarscroll{
     position: fixed;
     display: block;
     overflow-y: scroll;
     overflow-x: hidden;
     max-width: 200px;
     max-height: 100%;
     background: white;
     transition: all .3s;
     left: -100%;
     z-index: 100;
     top: -1px;
     box-shadow: 0 2px 6px 0 rgba(0,0,0,.2);
   }
  
    nav ul ul{
      top: 70px;
      position: static;
      float: none;
      display: none;
      opacity: 1;
      visibility: visible;
    }
    nav ul ul ul li{
      position: static;
  
    }
    
    nav ul ul a{
      padding-left: 0px;
    }
    nav ul ul ul a{
      position: relative;
      right: 35px;
  
    }
  [id^=btn]:checked + ul{
    display:block;
    border-top: 3px solid gold;
  }
  [id^=btn]:checked + .navbarscroll{
    left: 0;
  }
  }
  @media all and (max-width: 1050px){
    .navbarscroll{
      height: 100%;
      width: 300px;
    }
  }
  
  @media all and (max-width: 789px){
    .navbarscroll{
    width: 200px;
    height: 100%;
    }
    .submenu{
      padding-left: 0px;
    }
    .submenu1 a {
      font-size: 14px;
      padding-left: 0px;
    }
    .submenu2 a{
      font-size: 14px;
      padding-left: 0px;
    }
    .submenu3 a {
      font-size: 14px;
      padding-left: 0px;
    }
    .dropmenu{
      padding-left: 0;
    }
    .dropmenu a{
      padding-left: 10px;
    }
    .dmenu{
      padding: 0;
    }
    .dmenu1 a{
      padding-left: 10px;
    }
    .dmenu2 a{
      padding-left: 10px;
    }
    .dmenu3 a{
      padding-left: 10px;
    }
    .dmenu4 a{
      padding-left: 10px;
    }
    #more{
    padding-left: 10px;
    }
    .fa-bars{
      font-size: 30px;
    }
  }
  @media all and (max-width: 400px){
  
  .logo{
  
    width: 50px;
    height: 50px;
  }
  nav .logo2{
    font-size: 15px;
    align-items:baseline;
  }
  .submenu{
    padding-left: 0px;
  }
  .submenu1 a {
    font-size: 14px;
    padding-left: 0px;
  }
  .submenu2 a{
    font-size: 14px;
    padding-left: 0px;
  }
  .submenu3 a {
    font-size: 14px;
    padding-left: 0px;
  }
  .dropmenu{
    padding-left: 0;
  }
  .dropmenu a{
    padding-left: 10px;
  }
  .dmenu{
    padding: 0;
  }
  .dmenu1 a{
    padding-left: 10px;
  }
  .dmenu2 a{
    padding-left: 10px;
  }
  .dmenu3 a{
    padding-left: 10px;
  }
  .dmenu4 a{
    padding-left: 10px;
  }
  #more{
  padding-left: 10px;
  }
  
  }
  @media all and (max-width: 380px){
    .fa-bars{
      font-size: 30px;
      position: absolute;
      right: 20px;
    }
  .logo{
    width: 50px;
    height: 50px;
  }
  nav .logo2{
    font-size: 15px;
    align-items:baseline;
  }
  .submenu{
    padding-left: 0px;
  }
  .submenu1 a {
    font-size: 14px;
    padding-left: 0px;
  }
  .submenu2 a{
    font-size: 14px;
    padding-left: 0px;
  }
  .submenu3 a {
    font-size: 14px;
    padding-left: 0px;
  }
  .dropmenu{
    padding-left: 0;
  }
  .dropmenu a{
    padding-left: 10px;
  }
  .dmenu{
    padding: 0;
  }
  .dmenu1 a{
    padding-left: 10px;
  }
  .dmenu2 a{
    padding-left: 10px;
  }
  .dmenu3 a{
    padding-left: 10px;
  }
  .dmenu4 a{
    padding-left: 10px;
  }
  #more{
  padding-left: 10px;
  }
  }
  @media all and (max-width: 360px){
    nav .logo2{
      font-size: 12px;
    }
  }